/* getsnn - get one line, omitting the newline (if any)
 * Returns the number of characters stored,
 * which equals size-1 only if no newline was found to that point.
 * Returns EOF at end of file.
 */
#include "local.h"
int getsnn(s, size)
	char s[];
	int size;
	{
	int i;
	metachar c;

	for (i = 0; i < size-1 && (c = getchar()) != EOF && c != '\n'; ++i)
		s[i] = c;
	s[i] = '\0';
	if (c == EOF)
		return (EOF);
	return (i);
	}
